Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## modelling
Class EatingAgent

    java.lang.Object
      sema.Element
          sema.Agent
              modelling.EatingAgent

All Implemented Interfaces:
  java.lang.Comparable

public class EatingAgent
extends Agent

Agent able to eat other elements.

Nested Class Summary
`protected class` | `EatingAgent.Consuming` Action making the hunger regulary increase.
`protected class` | `EatingAgent.EatElement` Action of eating a given element.
`protected class` | `EatingAgent.IsHungry` Satisfactor informing on the feeding level.

Nested classes inherited from class sema.Agent
`Agent.Action`

Nested classes inherited from class sema.Element
`Element.ElementEvent`

Field Summary
`protected EatingAgent.Consuming` | `consomption`
`protected EatingAgent.IsHungry` | `hungrylevel`

Fields inherited from class sema.Element
`id, world`

Constructor Summary
`EatingAgent(World world, Area area, float delay, java.awt.Image image)` Creates a new instance of eatable agent with fixed reserves and consomptions of food.

Method Summary
`protected void` | `consums(float x)` Allows to consum an among of nutrition.
`protected void` | `eat(float x)` Allows to get an among of nutrition.
`protected Agent.Action` | `getConsomption()`
`protected EatingAgent.IsHungry` | `getHungryLevel()`

Methods inherited from class sema.Agent
`acceptAction, getDelay, registerAction, setDelay, unregisterAction`

Methods inherited from class sema.Element
`canTake, compareTo, death, draw, getArea, getDrawingPriority, getHeight, getIcon, getImage, getKind, getName, getProperties, highlight, highlight, isMarked, kill, setDrawingPriority, setHeight, setKind, setMarked, setProperties, toString, union`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### hungrylevel

    protected EatingAgent.IsHungry hungrylevel

### consomption

    protected EatingAgent.Consuming consomption

Constructor Detail

### EatingAgent

    public EatingAgent(World world,
                       Area area,
                       float delay,
                       java.awt.Image image)

  Creates a new instance of eatable agent with fixed reserves and consomptions of food.

Method Detail

### getHungryLevel

    protected EatingAgent.IsHungry getHungryLevel()

### getConsomption

    protected Agent.Action getConsomption()

### eat

    protected void eat(float x)

  Allows to get an among of nutrition.

### consums

    protected void consums(float x)

  Allows to consum an among of nutrition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD